# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
Summary:	A program for visualising molecular dynamics simulations data
Name:		gdpc
Version:	2.2.5
Release:	alt1_14
License:	GPLv2+
Group:		Engineering
URL:		http://www.frantz.fi/software/gdpc.php
Source0:	http://www.frantz.fi/software/gdpc-%{version}.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel
Source44: import.info

%description
gdpc is a program for visualising molecular dynamic simulations,
it is a very versatile program and could easily be used for other
purposes. gdpc reads xyz input as well as custom formats and can
output pictures of each frame.

%prep
%setup -q
# Create desktop file
cat > gdpc.desktop << EOF
[Desktop Entry]
Name=gdpc
Comment=A program for visualising molecular dynamic simulations
Exec=gdpc
Icon=
Terminal=false
Type=Application
Categories=Graphics;3DGraphics;Science;Chemistry;Physics;DataVisualization;
EOF

%build
# Patch around missing -lm
libs="`pkg-config --libs gtk+-2.0 gthread-2.0` -lm"
make CFLAGS="%{optflags} -UG_DISABLE_DEPRECATED" LIBS="$libs" %{?_smp_mflags}

%install
install -D -p -m 755 gdpc %{buildroot}%{_bindir}/gdpc
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ gdpc.desktop

%files
%doc README liquid.test manytypes.test md.test gpl.txt
%{_bindir}/gdpc
%{_datadir}/applications/gdpc.desktop

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_14
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_13
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_12
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_11
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_10
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_9
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_8
- initial fc import

